1 2 3 Previous Next 33 Replies Latest reply on Apr 28, 2010 2:11 AM by begoua Go to original post
      • 30. Re: MGE shutdown module on ESX 3.5
        DavideDG Novice



        do you mean the shutdownHostViaSOAPAPICall.pl  ?  Yes. I did not try the original set of windows batch files (that need ncat.exe) by Simon Seagrave, though.


        But I think that the problem resides in the way the /sbin/shutdown.sh (which is called upon system shutdown via /etc/inittab I think) works.




        That is, as far as I have undersoot, the shutdown process goes like this:



        1. Shutdownis triggered by either DCUI, SOAP, GUI, API, etc.

        2. /etc/inittab defines a shutdown script which is /sbin shutdown.sh

        3. this script at a certain point  calls "/sbin/vmware-autostart.sh stop"

        4. the vmware-autostart.sh script calls "vim-cmd hostsvc/autostartmanager/autostop"

        5. then calls "/sbin/services.sh stop" and then exits, effectively continuing the system shutdown/poweroff.


        This means that, even though the autostartmanager is correctly invoked (and VMs actually start to eiteher suspend or guest shutting down), nowhere in the process there is a waiting for VMs to be fully shut off (exspecially slower ones... consider I tested with SBS2008 which takes ages).


        I posted my problem also on William Lam's vGhetto page for the script, maybe I'm just missing something in the setup!





        Davide DG - VCP 3.5/4.0

        • 31. Re: MGE shutdown module on ESX 3.5
          begoua Novice


          No, it's an easiest perl script that is in the NSM 3.22 package (called ShutdownESXi.pl)



          • 32. Re: MGE shutdown module on ESX 3.5
            DavideDG Novice


            Ah... yes yes I have seen and tested it, but actually it does (and cannot) work with FREE-licensed versions of ESXi because free versions have the Restricted read-only APIs support (since 3.5update4).







            Davide DG - VCP 3.5/4.0



            • 33. Re: MGE shutdown module on ESX 3.5
              begoua Novice


              Oh....I do not know, i have a vSphere 4 licenced Enterprise Edition...



              Sorry..., thanks for the information!



              1 2 3 Previous Next